Bug 176018 - [patch] Update lang/fsharp to F# 3.0.25
[patch] Update lang/fsharp to F# 3.0.25
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Gabor Pali
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-10 21:20 UTC by jack.pappas
Modified: 2013-03-20 22:12 UTC (History)
0 users

See Also:


Attachments
file.diff (11.82 KB, patch)
2013-02-10 21:20 UTC, jack.pappas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jack.pappas 2013-02-10 21:20:00 UTC
I've updated the lang/fsharp port to the most recent version of F#. This version of F# is licensed under Apache 2.0, and it's now built from sources (pulled automatically from GitHub) instead of using pre-compiled binaries.

Fix: The supplied patch updates the port files for lang/fsharp to F# 3.0.25.

NOTE: This patch contains one new file (files/patch-configure.ac) which will need to be created with 'svn add'.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-02-10 21:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgj

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Gabor Pali freebsd_committer 2013-02-10 21:56:07 UTC
Hello there,

Thank you for your PR.

Two quick questions first, though:

- Are you aware of ports/175859 [1] ?  It has almost the same patches,
and I am currently testing them.

- Are you member of mono@ or did you discuss the transfer of
maintainership with them?  Note that I have recommended the other
submitter to take my port and he did not express any objections so
far.

Cheers,
Gabor

[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175859
Comment 3 jack.pappas 2013-02-12 22:16:24 UTC
Hi Gabor,

The other PR (175859) seems to be based on my (now outdated) advice in
this thread on the FreeBSD forums about Mono's 'sgen' garbage collector:
http://forums.freebsd.org/showthread.php?t=32516

Unfortunately, the old Boehm GC in Mono is quite slow and can't really
handle applications that put a large strain on it. Case in point: when I
try to compile the F# compiler and libraries on a version of Mono using
the Boehm GC, the build bogs down and crashes with an out-of-memory error.
The other PR looks like the submitter pre-compiled all of the binaries on
another machine and included them in the port rather than building them
upon installation -- which may be due to this same issue with the Boehm
GC.

What I did instead was fix the bugs which caused the 'sgen' GC not to work
properly on FreeBSD; I've submitted those changes in PR 176030. Once those
changes are accepted and merged into the ports tree, the F# compiler and
libraries can be compiled and installed from source as usual, using the
sources pulled directly from the F# repository on GitHub. This also
simplifies maintenance of the port, by reusing the existing
build/installation scripts provided with the F# source distribution -- the
maintainer won't need to re-compile and re-upload the binaries for each
new release (and users won't have to trust the binaries).

In short, I recommend accepting this PR instead of the other one (assuming
PR 176030 is also accepted). The 'sgen' GC provides much better
performance in F#, and by allowing the compiler and libraries to be built
from sources, it provides better integration with the upstream sources.

I offer my apologies for changing the maintainer without asking -- I just
assumed this port wasn't being maintained based on the version number
(released circa 2009). If you don't want to maintain the port any longer,
I'm also willing to assume the responsibility; I'm quite active in the F#
community so it'd be no problem to keep the port up-to-date.

Regards,
Jack

-----Original Message-----
From: pali.gabor@gmail.com [mailto:pali.gabor@gmail.com] On Behalf Of
Gabor Pali
Sent: Sunday, February 10, 2013 4:56 PM
To: bug-followup@FreeBSD.org; jack.pappas@tidepowerd.com
Subject: Re: ports/176018: [patch] Update lang/fsharp to F# 3.0.25

Hello there,

Thank you for your PR.

Two quick questions first, though:

- Are you aware of ports/175859 [1] ?  It has almost the same patches, and
I am currently testing them.

- Are you member of mono@ or did you discuss the transfer of
maintainership with them?  Note that I have recommended the other
submitter to take my port and he did not express any objections so far.

Cheers,
Gabor

[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175859
Comment 4 Gabor Pali freebsd_committer 2013-02-12 22:26:38 UTC
Hi Jack,

On Tue, Feb 12, 2013 at 11:16 PM, Jack Pappas
<jack.pappas@tidepowerd.com> wrote:
> In short, I recommend accepting this PR instead of the other one (assuming
> PR 176030 is also accepted). The 'sgen' GC provides much better
> performance in F#, and by allowing the compiler and libraries to be built
> from sources, it provides better integration with the upstream sources.

Thank you for the detailed explanation, I am now absolutely convinced.

> I offer my apologies for changing the maintainer without asking -- I just
> assumed this port wasn't being maintained based on the version number
> (released circa 2009). If you don't want to maintain the port any longer,
> I'm also willing to assume the responsibility; I'm quite active in the F#
> community so it'd be no problem to keep the port up-to-date.

Okay, that is fine, I was just surprised to get 2 lang/fsharp PRs in
2-3 days :-)  I am going to notify the other submitter and delegate
you the port.  You are correct, I am no longer using this port, hence
I am happy to hand it over.
Comment 5 jack.pappas 2013-03-20 02:37:11 UTC
Hi Gabor,

My patches for Mono's 'sgen' GC were accepted and merged today (PR
176030); would you mind merging/committing this patch when you have the
chance?

Thanks,
Jack

-----Original Message-----
From: pali.gabor@gmail.com [mailto:pali.gabor@gmail.com] On Behalf Of
Gabor Pali
Sent: Tuesday, February 12, 2013 5:27 PM
To: Jack Pappas
Cc: bug-followup@freebsd.org
Subject: Re: ports/176018: [patch] Update lang/fsharp to F# 3.0.25

Hi Jack,

On Tue, Feb 12, 2013 at 11:16 PM, Jack Pappas <jack.pappas@tidepowerd.com>
wrote:
> In short, I recommend accepting this PR instead of the other one
> (assuming PR 176030 is also accepted). The 'sgen' GC provides much
> better performance in F#, and by allowing the compiler and libraries
> to be built from sources, it provides better integration with the
upstream sources.

Thank you for the detailed explanation, I am now absolutely convinced.

> I offer my apologies for changing the maintainer without asking -- I
> just assumed this port wasn't being maintained based on the version
> number (released circa 2009). If you don't want to maintain the port
> any longer, I'm also willing to assume the responsibility; I'm quite
> active in the F# community so it'd be no problem to keep the port
up-to-date.

Okay, that is fine, I was just surprised to get 2 lang/fsharp PRs in
2-3 days :-)  I am going to notify the other submitter and delegate you
the port.  You are correct, I am no longer using this port, hence I am
happy to hand it over.
Comment 6 dfilter freebsd_committer 2013-03-20 22:07:56 UTC
Author: pgj
Date: Wed Mar 20 22:07:40 2013
New Revision: 314770
URL: http://svnweb.freebsd.org/changeset/ports/314770

Log:
  - Update to 3.0.25
  - Change license to AL2, not restricted any more
  - Transfer maintainership to mono
  - Trim header
  
  PR:		ports/176018
  Submitted by:	Jack Pappas <jack.pappas@tidepowerd.com>

Added:
  head/lang/fsharp/files/
  head/lang/fsharp/files/patch-configure.ac   (contents, props changed)
Modified:
  head/lang/fsharp/Makefile
  head/lang/fsharp/distinfo
  head/lang/fsharp/pkg-descr
  head/lang/fsharp/pkg-plist

Modified: head/lang/fsharp/Makefile
==============================================================================
--- head/lang/fsharp/Makefile	Wed Mar 20 22:02:44 2013	(r314769)
+++ head/lang/fsharp/Makefile	Wed Mar 20 22:07:40 2013	(r314770)
@@ -1,70 +1,25 @@
-# New ports collection makefile for:    fsharp
-# Date created:		2006 10 10
-# Whom:			Phillip Neumann <pneumann@gmail.com>
-#
+# Created by: Phillip Neumann <pneumann@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	fsharp
-PORTVERSION=	1.9.6.16
-PORTREVISION=	4
+PORTVERSION=	3.0.25
 CATEGORIES=	lang
-MASTER_SITES=	http://download.microsoft.com/download/F/7/4/F74A3170-261C-4E8F-B1A8-2E352C61A89B/
-DISTNAME=	fsharp
+MASTER_SITES=	https://nodeload.github.com/fsharp/fsharp/tar.gz/ \
+		CRITICAL
+DISTFILES=	${PORTVERSION}
 
-MAINTAINER=	pgj@FreeBSD.org
+MAINTAINER=	mono@FreeBSD.org
 COMMENT=	Functional and object-oriented language for the .NET platform
+LICENSE=	AL2
 
-BUILD_DEPENDS=	mono>=2:${PORTSDIR}/lang/mono\
-		${LOCALBASE}/lib/libgdiplus.a:${PORTSDIR}/x11-toolkits/libgdiplus
-RUN_DEPENDS=	mono>=2:${PORTSDIR}/lang/mono\
-		${LOCALBASE}/lib/libgdiplus.a:${PORTSDIR}/x11-toolkits/libgdiplus
-
-PORTDIR=	lib/${PORTNAME}-${PORTVERSION}
-PORTDOCS=	LICENSE-fsharp.txt README-fsharp.html doc manual
-PORTDATA=	lib source
-
-PLIST_SUB=	SUBDIR=${PORTDIR}
-.if !defined(NOPORTDOCS)
-PLIST_SUB+=	RMLIC="@comment "
-.else
-PLIST_SUB+=	RMLIC=""
-.endif
-
-WRKSRC=	${WRKDIR}/FSharp-${PORTVERSION}
-USE_ZIP=	yes
-RESTRICTED=	Microsoft Research Shared Source License Agreement
-
-AOT=		Core Compiler PowerPack
-WRAPPERS=	fsc fsi fslex fsyacc
-
-post-extract:
-.for wrapper in ${WRAPPERS}
-	@(${ECHO} '#!${SH}' > ${WRKDIR}/${wrapper})
-	@(${ECHO} '${LOCALBASE}/bin/mono ${PREFIX}/${PORTDIR}/bin/${wrapper}.exe $$*' >> ${WRKDIR}/${wrapper})
-.endfor
-
-do-build:
-
-do-install:
-.for asm in ${AOT}
-	@ ${GACUTIL_INSTALL} ${WRKSRC}/bin/FSharp.${asm}.dll
-.endfor
-	@ ${MKDIR} ${PREFIX}/${PORTDIR} ${PREFIX}/${PORTDIR}/bin ${DOCSDIR}
-	@ (cd ${WRKSRC} && ${COPYTREE_SHARE} "bin" ${PREFIX}/${PORTDIR}/)
-	@ ${INSTALL_DATA} ${WRKSRC}/LICENSE-fsharp.txt ${DOCSDIR}/
-.if !defined(NOPORTDOCS)
-	@ ${MKDIR} ${DOCSDIR}/doc ${DOCSDIR}/manual
-	@ (cd ${WRKSRC} && ${COPYTREE_SHARE} "doc manual" ${DOCSDIR}/)
-	@ ${INSTALL_DATA} ${WRKSRC}/README-fsharp.html ${DOCSDIR}/
-.endif
-.if !defined(NOPORTDATA)
-	@ ${MKDIR} ${DATADIR} ${DATADIR}/lib ${DATADIR}/source
-	@ (cd ${WRKSRC} && ${COPYTREE_SHARE} "lib source" ${DATADIR}/)
-.endif
-.for wrapper in ${WRAPPERS}
-	@ ${INSTALL_SCRIPT} ${WRKDIR}/${wrapper} ${PREFIX}/bin/
-.endfor
+BUILD_DEPENDS=	mono>=3.0:${PORTSDIR}/lang/mono
+RUN_DEPENDS=	mono>=3.0:${PORTSDIR}/lang/mono
+
+USE_GMAKE=	yes
+USE_AUTOTOOLS=	autoconf
+USE_PKGCONFIG=	build
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 .include "${.CURDIR}/../../lang/mono/bsd.mono.mk"
 .include <bsd.port.mk>

Modified: head/lang/fsharp/distinfo
==============================================================================
--- head/lang/fsharp/distinfo	Wed Mar 20 22:02:44 2013	(r314769)
+++ head/lang/fsharp/distinfo	Wed Mar 20 22:07:40 2013	(r314770)
@@ -1,2 +1,2 @@
-SHA256 (fsharp.zip) = 29c0691879a79ac84059d8a615508da4c7da27908e6bdbf5e3d85b53635b20a4
-SIZE (fsharp.zip) = 21226155
+SHA256 (3.0.25) = 1252ada65996f80d31e1bcc5c6718015ec5172c40288429d7dd2d2656ed4b7f0
+SIZE (3.0.25) = 10693900

Added: head/lang/fsharp/files/patch-configure.ac
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/fsharp/files/patch-configure.ac	Wed Mar 20 22:07:40 2013	(r314770)
@@ -0,0 +1,20 @@
+--- ./configure.ac.orig	2013-01-22 19:39:23.000000000 -0500
++++ ./configure.ac	2013-01-22 19:40:23.000000000 -0500
+@@ -12,17 +12,6 @@
+         AC_MSG_ERROR([You need to install pkg-config])
+ fi
+ 
+-MONO_REQUIRED_VERSION=2.9
+-MONO_RECOMMENDED_VERSION=3.0
+-
+-if ! pkg-config --atleast-version=$MONO_REQUIRED_VERSION mono; then
+-	AC_MSG_ERROR("You need mono $MONO_REQUIRED_VERSION")
+-fi
+-
+-if ! pkg-config --atleast-version=$MONO_RECOMMENDED_VERSION mono; then
+-	AC_MSG_WARN([Mono $MONO_RECOMMENDED_VERSION or higher is recommended, for better MSBuild (xbuild) compatibility])
+-fi
+-
+ AC_PATH_PROG(MONO_SGEN, mono-sgen, no)
+ 
+ # Checks for libraries.

Modified: head/lang/fsharp/pkg-descr
==============================================================================
--- head/lang/fsharp/pkg-descr	Wed Mar 20 22:02:44 2013	(r314769)
+++ head/lang/fsharp/pkg-descr	Wed Mar 20 22:07:40 2013	(r314770)
@@ -1,18 +1,16 @@
-F# developed as a research programming language to provide the much
-sought-after combination of type safety, succinctness, performance,
-expressivity and scripting, with all the advantages of running on a
-high-quality, well-supported modern runtime system.  This combination
-has been so successful that the language is now being transitioned
-towards a fully supported language on the .NET platform.
+F# is an open-source, strongly typed, multi-paradigm programming
+language encompassing functional, imperative and object-oriented
+programming techniques.  F# is most often used as a cross-platform CLI
+language, but can also be used to generate JavaScript and GPU code.
 
-F# was developed as a pragmatically-oriented variant of ML that shares a
-core language with OCaml.  Unlike other scripting languages it executes
-at or near the speed of C# and C++, making use of the performance that
-comes through strong typing.  Unlike many type-inferred,
-statically-typed languages it also supports many dynamic language
-techniques, such as property discovery and reflection where needed.  F#
-includes extensions for working across languages and for object-oriented
-programming, and it works seamlessly with other .NET programming
-languages and tools.
+F# is developed by The F# Software Foundation and Microsoft.  An open
+source, cross-platform edition of F# is available from the F# Software
+Foundation.  F# is also a fully supported language in Visual Studio.
+Other tools supporting F# development include Mono, MonoDevelop,
+SharpDevelop and the WebSharper tools for JavaScript and HTML5 web
+programming.
 
-WWW: http://research.microsoft.com/fsharp/fsharp.aspx
+F# originated as a variant of ML and has been influenced by OCaml, C#,
+Python, Haskell, Scala and Erlang.
+
+WWW: http://fsharp.org/

Modified: head/lang/fsharp/pkg-plist
==============================================================================
--- head/lang/fsharp/pkg-plist	Wed Mar 20 22:02:44 2013	(r314769)
+++ head/lang/fsharp/pkg-plist	Wed Mar 20 22:07:40 2013	(r314770)
@@ -1,89 +1,123 @@
 @comment $FreeBSD$
-@unexec gacutil -u FSharp.Compiler
-@unexec gacutil -u FSharp.Core
-@unexec gacutil -u FSharp.PowerPack
-bin/fsi
-bin/fsc
-bin/fslex
-bin/fsyacc
-%%RMLIC%%%%DOCSDIR%%/LICENSE-fsharp.txt
-%%RMLIC%%@dirrm %%DOCSDIR%%
-%%SUBDIR%%/bin/FSharp.Build.dll
-%%SUBDIR%%/bin/FSharp.Compiler.CodeDom.dll
-%%SUBDIR%%/bin/FSharp.Compiler.CodeDom.xml
-%%SUBDIR%%/bin/FSharp.Compiler.Interactive.Settings.dll
-%%SUBDIR%%/bin/FSharp.Compiler.Server.Shared.dll
-%%SUBDIR%%/bin/FSharp.Compiler.dll
-%%SUBDIR%%/bin/FSharp.Core.dll
-%%SUBDIR%%/bin/FSharp.Core.pdb
-%%SUBDIR%%/bin/FSharp.Core.xml
-%%SUBDIR%%/bin/FSharp.LanguageService.dll
-%%SUBDIR%%/bin/FSharp.LanguageService.Base.dll
-%%SUBDIR%%/bin/FSharp.PowerPack.Build.Tasks.dll
-%%SUBDIR%%/bin/FSharp.PowerPack.Build.Tasks.pdb
-%%SUBDIR%%/bin/FSharp.PowerPack.Build.Tasks.xml
-%%SUBDIR%%/bin/FSharp.PowerPack.Linq.dll
-%%SUBDIR%%/bin/FSharp.PowerPack.Linq.pdb
-%%SUBDIR%%/bin/FSharp.PowerPack.Linq.xml
-%%SUBDIR%%/bin/FSharp.PowerPack.Math.Providers.dll
-%%SUBDIR%%/bin/FSharp.PowerPack.Metadata.dll
-%%SUBDIR%%/bin/FSharp.PowerPack.Metadata.pdb
-%%SUBDIR%%/bin/FSharp.PowerPack.Metadata.xml
-%%SUBDIR%%/bin/FSharp.PowerPack.Plot.Excel.dll
-%%SUBDIR%%/bin/FSharp.PowerPack.Plot.Neutral.dll
-%%SUBDIR%%/bin/FSharp.PowerPack.Plot.XCeed.dll
-%%SUBDIR%%/bin/FSharp.PowerPack.Plot.dll
-%%SUBDIR%%/bin/FSharp.PowerPack.dll
-%%SUBDIR%%/bin/FSharp.PowerPack.pdb
-%%SUBDIR%%/bin/FSharp.PowerPack.targets
-%%SUBDIR%%/bin/FSharp.PowerPack.xml
-%%SUBDIR%%/bin/FSharp.ProjectSystem.Base.dll
-%%SUBDIR%%/bin/FSharp.ProjectSystem.FSharp.dll
-%%SUBDIR%%/bin/FSharp.ProjectSystem.PropertyPages.dll
-%%SUBDIR%%/bin/FSharp.VS.FSI.dll
-%%SUBDIR%%/bin/Microsoft.FSharp.targets
-%%SUBDIR%%/bin/fsc.exe
-%%SUBDIR%%/bin/fsi.exe
-%%SUBDIR%%/bin/fslex.exe
-%%SUBDIR%%/bin/fsyacc.exe
-%%SUBDIR%%/bin/gac/FSharp.Compiler.CodeDom.dll
-%%SUBDIR%%/bin/gac/FSharp.Compiler.CodeDom.pdb
-%%SUBDIR%%/bin/gac/FSharp.Compiler.CodeDom.xml
-%%SUBDIR%%/bin/gac/FSharp.Compiler.Server.Shared.dll
-%%SUBDIR%%/bin/gac/FSharp.Compiler.dll
-%%SUBDIR%%/bin/gac/FSharp.Core.dll
-%%SUBDIR%%/bin/gac/FSharp.Core.pdb
-%%SUBDIR%%/bin/gac/FSharp.Core.xml
-%%SUBDIR%%/bin/gac/FSharp.LanguageService.dll
-%%SUBDIR%%/bin/gac/FSharp.LanguageService.Base.dll
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.Build.Tasks.dll
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.Build.Tasks.pdb
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.Build.Tasks.xml
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.Linq.dll
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.Linq.pdb
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.Linq.xml
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.Metadata.dll
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.Metadata.pdb
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.Metadata.xml
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.dll
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.pdb
-%%SUBDIR%%/bin/gac/FSharp.PowerPack.xml
-%%SUBDIR%%/bin/gac/FSharp.ProjectSystem.Base.dll
-%%SUBDIR%%/bin/gac/FSharp.ProjectSystem.FSharp.dll
-%%SUBDIR%%/bin/gac/FSharp.ProjectSystem.PropertyPages.dll
-%%SUBDIR%%/bin/gac/FSharp.VS.FSI.dll
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.Compiler.CodeDom.dll
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.Compiler.CodeDom.dll.config
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.Core.dll
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.Core.dll.config
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.PowerPack.Build.Tasks.dll
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.PowerPack.Build.Tasks.dll.config
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.PowerPack.Linq.dll
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.PowerPack.Linq.dll.config
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.PowerPack.Metadata.dll
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.PowerPack.Metadata.dll.config
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.PowerPack.dll
-%%SUBDIR%%/bin/gac/policy.1.9.FSharp.PowerPack.dll.config
-@dirrm %%SUBDIR%%/bin/gac
-@dirrm %%SUBDIR%%/bin
-@dirrm %%SUBDIR%%
+@unexec gacutil -u policy.4.3.FSharp.Core,Version=0.0.0.0,Culture=neutral,PublicKeyToken=b03f5f7f11d50a3a
+@unexec gacutil -u policy.2.3.FSharp.Core,Version=0.0.0.0,Culture=neutral,PublicKeyToken=b03f5f7f11d50a3a
+@unexec gacutil -u policy.4.0.FSharp.Core,Version=0.0.0.0,Culture=neutral,PublicKeyToken=b03f5f7f11d50a3a
+@unexec gacutil -u policy.2.0.FSharp.Core,Version=0.0.0.0,Culture=neutral,PublicKeyToken=b03f5f7f11d50a3a
+@unexec gacutil -u fsiAnyCpu,Version=4.3.0.0,Culture=neutral,PublicKeyToken=f536804aa0eb945b
+@unexec gacutil -u fsi,Version=4.3.0.0,Culture=neutral,PublicKeyToken=f536804aa0eb945b
+@unexec gacutil -u FSharp.Compiler.Server.Shared,Version=4.3.0.0,Culture=neutral,PublicKeyToken=f536804aa0eb945b
+@unexec gacutil -u FSharp.Compiler.Interactive.Settings,Version=4.3.0.0,Culture=neutral,PublicKeyToken=f536804aa0eb945b
+@unexec gacutil -u fsc,Version=4.3.0.0,Culture=neutral,PublicKeyToken=f536804aa0eb945b
+@unexec gacutil -u FSharp.Compiler,Version=4.3.0.0,Culture=neutral,PublicKeyToken=f536804aa0eb945b
+@unexec gacutil -u FSharp.Build,Version=4.3.0.0,Culture=neutral,PublicKeyToken=f536804aa0eb945b
+@unexec gacutil -u FSharp.Build,Version=2.3.0.0,Culture=neutral,PublicKeyToken=f536804aa0eb945b
+@unexec gacutil -u FSharp.Core,Version=4.3.0.0,Culture=neutral,PublicKeyToken=b03f5f7f11d50a3a
+@unexec gacutil -u FSharp.Core,Version=2.3.1.0,Culture=neutral,PublicKeyToken=b03f5f7f11d50a3a
+@unexec gacutil -u FSharp.Core,Version=2.3.0.0,Culture=neutral,PublicKeyToken=b03f5f7f11d50a3a
+bin/fsharpc
+bin/fsharpi
+bin/fsharpiAnyCpu
+%%LOCALBASE%%/lib/mono/2.0/FSharp.Build.dll
+%%LOCALBASE%%/lib/mono/2.0/FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/2.0/FSharp.Core.optdata
+%%LOCALBASE%%/lib/mono/2.0/FSharp.Core.sigdata
+%%LOCALBASE%%/lib/mono/2.0/Microsoft.FSharp.Targets
+%%LOCALBASE%%/lib/mono/2.0/policy.2.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/2.0/policy.2.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/2.0/policy.4.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/2.0/policy.4.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/2.1/FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/2.1/FSharp.Core.optdata
+%%LOCALBASE%%/lib/mono/2.1/FSharp.Core.sigdata
+%%LOCALBASE%%/lib/mono/2.1/FSharp.Core.xml
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Build.dll
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Build.xml
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Compiler.Interactive.Settings.dll
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Compiler.Interactive.Settings.xml
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Compiler.Server.Shared.dll
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Compiler.Server.Shared.xml
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Compiler.dll
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Compiler.xml
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Core.optdata
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Core.sigdata
+%%LOCALBASE%%/lib/mono/4.0/FSharp.Core.xml
+%%LOCALBASE%%/lib/mono/4.0/Microsoft.FSharp.Targets
+%%LOCALBASE%%/lib/mono/4.0/fsc.exe
+%%LOCALBASE%%/lib/mono/4.0/fsc.xml
+%%LOCALBASE%%/lib/mono/4.0/fsi.exe
+%%LOCALBASE%%/lib/mono/4.0/fsi.xml
+%%LOCALBASE%%/lib/mono/4.0/fsiAnyCpu.exe
+%%LOCALBASE%%/lib/mono/4.0/fsiAnyCpu.xml
+%%LOCALBASE%%/lib/mono/4.0/policy.2.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/4.0/policy.2.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/4.0/policy.4.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/4.0/policy.4.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Build.dll
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Build.xml
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Compiler.Interactive.Settings.dll
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Compiler.Interactive.Settings.xml
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Compiler.Server.Shared.dll
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Compiler.Server.Shared.xml
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Compiler.dll
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Compiler.xml
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Core.optdata
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Core.sigdata
+%%LOCALBASE%%/lib/mono/4.5/FSharp.Core.xml
+%%LOCALBASE%%/lib/mono/4.5/fsc.exe
+%%LOCALBASE%%/lib/mono/4.5/fsc.xml
+%%LOCALBASE%%/lib/mono/4.5/fsi.exe
+%%LOCALBASE%%/lib/mono/4.5/fsi.xml
+%%LOCALBASE%%/lib/mono/4.5/fsiAnyCpu.exe
+%%LOCALBASE%%/lib/mono/4.5/fsiAnyCpu.xml
+%%LOCALBASE%%/lib/mono/Microsoft F#/v2.0/FSharp.Build.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v2.0/FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v2.0/Microsoft.FSharp.Targets
+%%LOCALBASE%%/lib/mono/Microsoft F#/v2.0/policy.2.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v2.0/policy.2.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v2.0/policy.4.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v2.0/policy.4.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/FSharp.Build.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/FSharp.Compiler.Interactive.Settings.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/FSharp.Compiler.Server.Shared.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/FSharp.Compiler.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/Microsoft.FSharp.Targets
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/fsc.exe
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/fsi.exe
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/fsiAnyCpu.exe
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/policy.2.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/policy.2.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/policy.4.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft F#/v4.0/policy.4.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v2.0/FSharp.Build.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v2.0/FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v2.0/Microsoft.FSharp.Targets
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v2.0/policy.2.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v2.0/policy.2.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v2.0/policy.4.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v2.0/policy.4.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/FSharp.Build.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/FSharp.Compiler.Interactive.Settings.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/FSharp.Compiler.Server.Shared.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/FSharp.Compiler.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/Microsoft.FSharp.Targets
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/fsc.exe
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/fsi.exe
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/fsiAnyCpu.exe
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/policy.2.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/policy.2.3.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/policy.4.0.FSharp.Core.dll
+%%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0/policy.4.3.FSharp.Core.dll
+@dirrm %%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v4.0
+@dirrm %%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework/v2.0
+@dirrm %%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0/Framework
+@dirrm %%LOCALBASE%%/lib/mono/Microsoft SDKs/F#/3.0
+@dirrm %%LOCALBASE%%/lib/mono/Microsoft SDKs/F#
+@dirrm %%LOCALBASE%%/lib/mono/Microsoft SDKs
+@dirrm %%LOCALBASE%%/lib/mono/Microsoft F#/v4.0
+@dirrm %%LOCALBASE%%/lib/mono/Microsoft F#/v2.0
+@dirrm %%LOCALBASE%%/lib/mono/Microsoft F#
+@dirrmtry %%LOCALBASE%%/lib/mono/2.1
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Gabor Pali freebsd_committer 2013-03-20 22:11:53 UTC
State Changed
From-To: open->closed

Thanks, committed with minor modifications.